package com.zt.plat.module.qms.business.config.controller.vo;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.zt.plat.module.qms.business.config.dal.dataobject.ConfigAssayMethodProjectDO;
import lombok.Data;

@Data
public class ConfigAssayMethodExtendRespVO extends ConfigAssayMethodRespVO {
	
	private List<ConfigAssayMethodProjectDO> configAssayMethodProjectList;
	
	private List<String> projectSimpleNameList;
	
	public List<String> getProjectSimpleNameList() {
		this.projectSimpleNameList = new ArrayList<>();
		if (StringUtils.isNotBlank(this.getDescription())) {
			List<String> asList = Arrays.asList(this.getDescription().split("、"));
			this.projectSimpleNameList.addAll(asList);
		}
		return this.projectSimpleNameList;
	}
}
